    @import url("fontawesome.min.css");
    @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;1,300;1,400&display=swap');
    @import url('https://fonts.googleapis.com/css2?family=Edu+NSW+ACT+Foundation:wght@400;500;600;700&family=Noto+Serif+Bengali&display=swap');
    @import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,700;1,800;1,900&family=Noto+Serif+Bengali&display=swap');
     :root {
        --main-color: #2C2D30;
        --text-color: #f5eaea;
        --box-shadow-color-1: #202125;
        --box-shadow-color-2: #353535;
        --hover-color: #f56c6d;
        --btn-color: #ce0709ed;
        --fg: #17181c;
        --shade1: #727274;
        --shade2: #cccdd1;
        --shade3: #f3f4f8;
        --shade4: #ffffff;
        --dur1: 1s;
        --dur2: 6s;
    }
    
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }
    
    html {
        height: auto !important;
        scroll-behavior: smooth;
    }
    
    body {
        font-size: 15px;
        font-family: 'Roboto Condensed', sans-serif;
        font-weight: 300;
        position: initial !important;
        min-height: initial !important;
        top: auto !important;
        background-color: var(--main-color);
        scroll-behavior: smooth;
    }
    /*::-webkit-scrollbar {
  width: 0.2em;
}
::-webkit-scrollbar-thumb {
  background: var(--main-color); 
}*/
    
    header {
        background-color: var(--main-color);
    }
    
    nav {}
    
    .nav-bar {
        display: flex;
        height: 4.3rem;
        width: 100%;
        padding: 0.7em 0.7em;
        border-radius: 2rem;
    }
    
    .logo {
        width: 15%;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .logo-img {
        width: 72%;
    }
    
    .logo-img img {
        width: 100%;
    }
    
    .menu {
        margin-left: auto;
        display: flex;
        justify-content: end;
        align-items: center;
        width: 85%;
        position: relative;
        top: 60%;
        transform: translateY(-50%);
    }
    
    .menu ul {
        display: flex;
        list-style: none;
    }
    
    .menu ul li {
        padding-left: 3em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
    }
    
    .menu ul li a {
        color: var(--text-color) !important;
        text-decoration: none;
        font-size: 1rem;
        font-family: 'Poppins', sans-serif;
        text-align: center;
        transition: 1s;
        font-weight: 600;
    }
    
    .menu ul li a:hover {
        color: var(--hover-color)!important;
    }
    
    .down-arow {
        font-size: 1.1rem;
        color: var(--hover-color)!important;
    }
    
    .down-arow:hover {
        color: var(--hover-color)!important;
    }
    
    #services-submenu {
        display: none;
    }
    
    #about-submenu {
        display: none;
    }
    
    .submenu {
        position: absolute;
        background-color: #2C2D30;
        z-index: 1000000;
        min-width: 10rem;
        top: 70%;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .submenu li {
        padding: 0.45rem 2rem !important;
    }
    
    .submenu li a {
        position: relative !important;
        left: -15% !important;
        font-size: 16px !important;
        font-weight: 400 !important;
        transition: 0s !important;
    }
    
    .submenu li a:hover {
        color: var(--hover-color);
    }
    
    .banner {
        height: 500px;
        background: url(./../img/bg.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        color: white;
    }
    
    #overlay {
        width: 100%;
        height: 100%;
        background-color: rgb(0 0 0 / 75%);
        cursor: pointer;
    }
    
    canvas {
        display: block;
        z-index: 0;
    }
    
    #particles-js {
        position: absolute;
        top: 14%;
        opacity: 0.3;
        width: 100%;
        height: 78%;
        z-index: 0;
    }
    
    .banner-content {
        position: absolute;
        z-index: 1;
        top: 25%;
        left: 10%;
        width: 60%;
    }
    
    .banner-content-top {
        font-weight: bold;
        font-size: 18px;
        color: var(--hover-color);
    }
    
    .banner-content h1 {
        color: var(--text-color) !important;
        font-size: 40px;
        font-weight: bold;
        line-height: 1.3;
        margin-top: 1.2rem;
        margin-bottom: 1.2rem;
    }
    
    .typing-text {
        display: inline-block;
        overflow: hidden;
        animation: typing 5s steps(16, end) infinite;
        white-space: nowrap;
        width: 16ch;
        font-weight: bold;
        color: rgb(255, 255, 255);
    }
    
    @keyframes typing {
        from {
            width: 0ch;
        }
        to {
            width: 16ch;
        }
    }
    
    .banner-content-bottom {
        font-weight: bold;
        font-size: 18px;
        color: var(--hover-color);
        margin-bottom: 1.5rem;
    }
    
    .banner-btn {
        color: white;
        background-color: var(--btn-color);
        padding: 0.5rem 2rem;
        font-size: 18px;
        text-decoration: none;
    }
    
    .banner-btn:hover {
        color: white;
        background-color: #ad090bed;
        padding: 0.5rem 2rem;
        text-decoration: none;
        font-weight: bold;
    }
    
    .top-content {
        position: relative;
        padding: 0.7em 0.8em;
        /*box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);*/
        /*border-radius: 2rem;*/
        min-height: 22rem;
    }
    
    .top-content-goal {
        position: relative;
        padding: 0.7em 0.8em;
        /*box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);*/
        /*border-radius: 2rem;*/
        height: auto;
    }
    
    .top-content-five {
        position: relative;
        padding: 0.7em 0.8em;
        /*box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -2px 2px var(--box-shadow-color-2);*/
        border-radius: 2rem;
        min-height: 22rem;
    }
    
    #top-first {
        /*ms-transform: rotate(2.4deg);
    transform: rotate(2.4deg);*/
    }
    
    #top-second {
        /*ms-transform: rotate(-2.4deg);
    transform: rotate(-2.4deg);*/
    }
    
    #top-third {
        /*ms-transform: rotate(2.4deg);
    transform: rotate(2.4deg);*/
    }
    
    #top-fourth {
        min-height: 50rem;
        max-height: auto;
    }
    
    #top-fourth-goal {
        height: auto;
    }
    
    .top-content-left {
        position: relative;
        top: 10%;
    }
    
    .top-content-right {
        position: relative;
        width: 98%;
    }
    
    .top-content-title {
        color: var(--text-color) !important;
        font-size: 2.3rem;
        line-height: 3.5rem;
        width: 24ch;
        font-family: 'Poppins', sans-serif;
        font-weight: 400;
    }
    
    .top-content-title-right {
        color: var(--text-color) !important;
        font-size: 2.3rem;
        line-height: 4rem;
        font-family: 'Poppins', sans-serif;
        font-weight: 400;
    }
    
    .top-content-text {
        color: var(--text-color) !important;
        font-family: 'Poppins', sans-serif;
        font-size: 1.1rem;
        width: 40ch;
        line-height: 2.1rem;
    }
    
    .top-content-text-right {
        color: var(--text-color) !important;
        font-family: 'Poppins', sans-serif;
        font-size: 1.1rem;
        width: 98%;
        line-height: 2.1rem;
    }
    
    .top-content-img {
        width: 100%;
    }
    
    .top-content-img img {
        width: 100%;
    }
    
    .top-content-btn {}
    
    .top-content-btn a {
        text-decoration: none;
        color: white;
        text-align: center;
        padding: 0.7em 0.8em;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        border-radius: 2rem;
    }
    
    .top-content-btn a:hover {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .top-content-btn button {
        background-color: var(--main-color);
        border: none;
        color: white;
        text-align: center;
        padding: 0.7em 0.8em;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        border-radius: 2rem;
    }
    
    .top-content-btn button:hover {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .justify-center {
        text-align: justify;
    }
    
    .services {}
    
    .honeycomb {
        display: -webkit-box;
        display: flex;
        flex-wrap: wrap;
        list-style: none;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        max-width: 1200px;
        margin: 0 auto;
        padding: 0;
        transform: translateY(80px);
    }
    
    .honeycomb-cell {
        -webkit-box-flex: 0;
        flex: 0 1 250px;
        max-width: 250px;
        height: 137.5px;
        margin: 65.4px 12.5px 25px;
        position: relative;
        padding: 0.5em;
        text-align: center;
        z-index: 1;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .honeycomb-cell_img {
        object-fit: cover;
        object-position: center;
        filter: grayscale(100%);
    }
    
    .honeycomb-cell_title {
        height: 100%;
        display: -webkit-box;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        flex-direction: column;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-hyphens: auto;
        hyphens: auto;
        word-break: break-word;
        text-transform: uppercase;
        color: #fff;
        font-weight: 700;
        font-size: 1.4em;
        transition: opacity 350ms;
    }
    
    .honeycomb-cell_title>small {
        font-weight: 300;
        margin-top: 0.25em;
    }
    
    .honeycomb-cell::before,
    .honeycomb-cell::after {
        content: '';
    }
    
    .honeycomb-cell::before,
    .honeycomb-cell::after,
    .honeycomb-cell_img {
        top: -50%;
        left: 0;
        width: 100%;
        height: 200%;
        display: block;
        position: absolute;
        -webkit-clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
        clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
        z-index: -1;
    }
    
    .honeycomb-cell::before {
        transform: scale(1.055);
    }
    
    .honeycomb-cell::after {
        background: var(--box-shadow-color-1);
        transition: opacity 350ms;
        -webkit-transition: opacity 350ms;
    }
    
    .honeycomb-cell:hover .honeycomb-cell_img {
        filter: grayscale(0%);
    }
    
    .honeycomb-cell:hover::before {
        background: #fc5130;
    }
    
    .honeycomb-cell:hover::after {
        opacity: 0;
    }
    
    .honeycomb_Hidden {
        display: none;
        opacity: 0;
        width: 250px;
        margin: 0 12.5px;
    }
    
    .project-category {
        display: flex;
        justify-content: center;
    }
    
    .project-category-btn {
        text-decoration: none;
        color: white;
        text-align: center;
        padding: 0.7em 0.8em;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        border-radius: 1rem;
        margin-right: 0.5rem;
    }
    
    .project-category-btn:hover {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .project-items {
        height: 100px !important;
        width: 100px !important;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        border-radius: 50%;
    }
    
    .project-items:hover {
        cursor: pointer;
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .project-feature {
        margin-left: 10px;
        text-align: justify;
    }
    
    .project-feature-right {
        margin-right: 5px;
        text-align: right;
    }
    
    .project-feature:hover {
        cursor: pointer;
        color: var(--hover-color);
    }
    
    .project-feature-right:hover {
        cursor: pointer;
        color: var(--hover-color);
    }
    
    .project-feature h5 {}
    
    .project-feature p {
        font-size: 0.9rem;
        line-height: 1.4rem;
    }
    
    .project-feature-right h5 {}
    
    .project-feature-right p {
        font-size: 0.9rem;
        line-height: 1.4rem;
    }
    
    .fas-icon-project {
        font-size: 2rem;
        font-weight: bold;
    }
    
    .project-image {
        width: 100%;
        height: 90%;
    }
    
    .project-image:hover .project-image-overlay {
        display: block;
    }
    
    .project-title {}
    
    .project-title a {
        text-decoration: none;
        color: var(--text-color);
        font-size: 22px;
    }
    
    .project-title a:hover {
        color: var(--hover-color);
    }
    
    .project-image-overlay {
        display: none;
        transition: .5s ease;
        width: 100%;
        height: 100%;
        background-color: rgb(0 0 0 / 75%);
        cursor: pointer;
    }
    
    .preview-btn {
        position: relative;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }
    
    .project-showing-btn {
        background-color: var(--main-color);
        text-decoration: none;
        color: white;
        text-align: center;
        padding: 0.7em 0.8em;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        border-radius: 1rem;
        margin-right: 0.5rem;
    }
    
    .project-showing-btn:hover {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .active-project-category {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .goal-item-wrapper {
        text-decoration: none;
        color: var(--text-color);
    }
    
    .goal-item {
        width: 100%;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        padding: 1rem;
        border-radius: 1rem;
        min-height: 16rem;
    }
    
    .goal-item:hover {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .goal-item-wrapper:hover {
        color: var(--hover-color);
    }
    
    .icon i {
        font-size: 5rem;
        text-align: center;
    }
    
    .icon {}
    
    .title h4 {
        font-weight: 600;
    }
    
    .sub-title {
        font-size: 1rem;
    }
    
    .contact-form-wrapper {
        width: 100%;
        margin: auto;
    }
    
    .contact-form {}
    
    .form-input-box {}
    
    .form-input-box label {
        display: block;
        text-align: left;
    }
    
    .form-input-box input {
        width: 100%;
        background-color: var(--main-color);
        border-radius: 5%;
        height: 2.5rem;
        border: none;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        color: white;
        transition: 1s;
    }
    
    .form-input-box textarea {
        width: 100%;
        background-color: var(--main-color);
        border-radius: 5%;
        height: 8rem;
        border: none;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        color: white;
        transition: 1s;
    }
    
    .form-input-box input:focus {
        outline: none;
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .form-input-box textarea:focus {
        outline: none;
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .social-icons {
        font-size: 36px !important;
    }
    
    .swiper-container {
        width: 100%;
    }
    
    .swiper-wrapper {
        width: 100%;
        height: auto;
    }
    
    .swiper-pagination {
        position: relative !important;
    }
    
    .review {
        font-family: 'Edu NSW ACT Foundation', cursive;
        font-weight: 500;
        font-size: 2rem;
    }
    
    .cleint-img {
        width: 40%;
        margin: auto;
    }
    
    .cleint-img img {
        width: 100%;
    }
    
    .ratings {}
    
    .client-address {}
    
    .client-comment {
        width: 90%;
        position: relative;
        left: 0px;
        top: 10%;
        font-size: 1.2rem;
        font-style: italic;
        text-align: justify;
        font-family: 'Barlow Semi Condensed', sans-serif;
    }
    
    .fa-star {
        font-size: 1.6rem;
    }
    
    .swiper-button-prev {
        left: 0px !important;
        top: 45%;
    }
    
    .swiper-button-next {
        right: 0px !important;
        top: 45%;
    }
    
    .build-sec-text p {
        font-size: 1rem;
    }
    
    .get-started-btn {
        text-decoration: none;
        color: var(--text-color);
        padding: 0.7em 0.8em;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        border-radius: 2rem;
        position: relative;
        left: 0;
        text-transform: uppercase;
    }
    
    .get-started-btn:hover {
        color: var(--hover-color);
    }
    
    .get-image {
        width: 100%;
    }
    
    .get-image img {
        width: 100%;
        max-height: 25rem;
    }
    
    .review-item-wrapper {
        text-decoration: none;
        color: var(--text-color);
    }
    
    .review-item {
        width: 100%;
        box-shadow: 2px 2px 2px var(--box-shadow-color-1), -2px -3px 2px var(--box-shadow-color-2);
        padding: 1rem;
        border-radius: 1rem;
        min-height: 16rem;
    }
    
    .review-item:hover {
        color: var(--hover-color);
        box-shadow: inset 2px 2px 2px var(--box-shadow-color-1), inset -2px -3px 2px var(--box-shadow-color-2);
    }
    
    .review-item-wrapper:hover {
        color: var(--hover-color);
    }
    /*loader*/
    
    #loading {
        position: fixed;
        width: 100%;
        height: 100vh;
        background-color: #2C2D30;
        color: #c3c3c3;
        display: flex;
        font: 1em/1.5 Hind, sans-serif;
        flex-direction: column;
        height: 100vh;
        z-index: 99999;
    }
    
    .load {
        margin: auto;
    }